Bug 78646 - Rebuilding kdelibs rpm changes permissions of /usr/bin/kpac_dhcp_helper
Rebuilding kdelibs rpm changes permissions of /usr/bin/kpac_dhcp_helper
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-26 16:48 EST by Mike McLean
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-26 16:48:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2002-11-26 16:48:31 EST
* kdelibs-3.0.3-8
* rpm-4.1-1.06

If you rebuild the kdelibs rpm in 8.0, something in the process changes the
permissions of /usr/bin/kpac_dhcp_helper to be suid root (which it is not normally).

I know that one should be careful building rpms as root,  but that I also think
that packages should build as cleanly as possible.  Also, we don't exactly make
it easy for customers to build rpms as nonroot.  The default setup leans heavily
towards building as root in /usr/src/redhat.

kio/misc/kpac/Makefile.am contains:
install-exec-local:
        @(chown root $(bindir)/kpac_dhcp_helper && chmod 4755
$(bindir)/kpac_dhcp_helper) || echo "Please make kpac_dhcp_helper setuid root"
Comment 1 Ngo Than 2002-11-30 14:34:51 EST
It's fixed in 3.1-0.1 or newer. It's still in 8.0.1-kde tree, which will be
moved to 8.0.1 soon.

Note You need to log in before you can comment on or make changes to this bug.